<template>
  <nav class="navbar navbar-default">
    <div class="container">
      <ul class="nav navbar-nav">
        <li><a v-link="'home'">Home</a></li>
        <li><a v-link="'login'" v-if="!authenticated" @click="login()">Login</a></li>
        <li><a v-link="'signup'" v-if="!authenticated">Sign Up</a></li>
        <li><a v-link="'secretquote'" v-if="authenticated">Secret Quote</a></li>
        <li><a v-link="'login'" v-if="authenticated" @click="logout()">Logout</a></li>
      </ul>
    </div>
  </nav>
  <div class="container">
    <router-view></router-view>
  </div>
</template>

<script>
import auth from '../auth'

export default {
 data() {
    return {
      authenticated: false,
      lock: new Auth0Lock('gYnkP2m3dg0GhOaFhRUCeRx6BM0KelGY', 'bvcc.auth0.com')
    }
  },
  ready() {
    var self = this;
    this.authenticated = auth.checkAuth();
    this.lock.on("authenticated", function(authResult) {
      self.lock.getProfile(authResult.idToken, function(error, profile) {
        if (error) {
          // Handle error
          return;
        }

        localStorage.setItem('id_token', authResult.idToken);
        localStorage.setItem('profile', JSON.stringify(profile));
        self.authenticated = true;
        self.lock.hide();
      });
    });
  },
  methods: {
    login() {
      this.lock.show();
    },
	logout() {
    var self = this;
    localStorage.removeItem('id_token');
    localStorage.removeItem('profile');
    self.authenticated = false;
  }
  }
}
</script>
